Jump to content
GreenSock

Charles Lavalard

Can't use Flip

Go to solution Solved by OSUblake,

Recommended Posts

I'm working on a Nuxt project and i'm using Gsap library via the yarn / gsap-bonus.tgz method
I can use other plugins like MorphSVG, etc.. but but i try using Flip i get 
This dependency was not found:                                                                           * gsap/Flip in ./node_modules/babel-loader/lib??ref--2-0!./node_modules/vue-loader/lib??vue-loader-options!./components/TheHeader.vue?vue&type=script&lang=js& 
To install it, you can run: npm install --save gsap/Flip

 

So I tried removing the .tgz and the package and reinstalling it
yarn remove gsap
rm -rf ./gsap-bonus.tgz

& I redownloaded the .zip from https://greensock.com/docs/v3/Installation?checked=core,flip#ZIP


Reinstalled It
yarn add ./gsap-bonus.tgz

But when i check my module I don't see the Flip.js and I still see the error above

Is there anything I did wrong ?
image.thumb.png.6642b89b7429e8f26f3865feb719864c.png

Link to comment
Share on other sites

Hi Charles!

 

What version is that? It should be inside the package.json. 

Link to comment
Share on other sites

I don't know in my package.json i have
"gsap": "./gsap-bonus.tgz"
But I downloaded the 3.7.0

 

Link to comment
Share on other sites

What does it say in here?

 

image.png

 

Link to comment
Share on other sites

That version should have Flip, but your screen shows some other files missing too.

 

image.png

 

I would try deleting your node_modules folder, remove your tgz, and remove "gsap": "./gsap-bonus.tgz" from your package.json and start again.

 

Link to comment
Share on other sites

It sure looks like you have an old file from when you were "Simply Green" (before you upgraded to "Shockingly Green"). I just tested by logging into your account and downloading the zip and it definitely has the correct files in there including Flip. Maybe clear your cache and try logging in and downloading again? 

Link to comment
Share on other sites

I might be doing something wrong i removed every thing you said And reinstall it But i still get the 3.6.1 Version

I tried unzipping my .tgz and i see the Flip.js file but in my node module i don't

I also remove my cache and redownload my .zip file

Link to comment
Share on other sites

What are you using to install, npm, yarn, etc? Something is definitely being cached with your setup, just not sure where.

Link to comment
Share on other sites

I'm using Yarn 

I'm using yarn add ./gsap-bonus.tgz to install it

Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
  • Recently Browsing   0 members

    • No registered users viewing this page.
×